Subject: bug#20913: closed (Re: bug#20913: 25.0.50; regexp I-search no longer works with \<)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 28 Jun 2015 08:23:02 +0000

Your bug report

#20913: 25.0.50; regexp I-search no longer works with \<

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20913: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20913
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20913: 25.0.50; regexp I-search no longer works with \<
From: Artur Malabarba <[email-masked]>
To: Paul Eggert <[email-masked]>
Cc: [email-masked]
Date: Sun, 28 Jun 2015 09:22:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks again. Fixed.

2015-06-28 1:46 GMT+01:00 Paul Eggert <[email-masked]>:
> To reproduce the problem, run 'emacs -Q' and type:
>
> C-h t M-C-s \ <
>
> This should match the start of the TUTORIAL buffer, but instead it goes to
> the first backslash in the buffer and then fails, with a message "Failing
> char-fold regexp I-search: \<" at the bottom of the screen.
>
> This seems to be due to the recent isearch changes, so I'm CC'ing Artur.
>
>
>

Subject: 25.0.50; regexp I-search no longer works with \<
From: Paul Eggert <[email-masked]>
To: Emacs bug reports and feature requests <[email-masked]>
Cc: Artur Malabarba <[email-masked]>
Date: Sat, 27 Jun 2015 17:46:24 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

To reproduce the problem, run 'emacs -Q' and type:

C-h t M-C-s \ <

This should match the start of the TUTORIAL buffer, but instead it goes to the 
first backslash in the buffer and then fails, with a message "Failing char-fold 
regexp I-search: \<" at the bottom of the screen.

This seems to be due to the recent isearch changes, so I'm CC'ing Artur.